List parameter groups
get
Path parameters
productIdstringRequired
Responses
200
OK
application/json
get
/public/v1/catalog/products/{productId}/parameter-groups200
OK
Last updated
Was this helpful?
Was this helpful?
GET /public/v1/catalog/products/{productId}/parameter-groups HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"$meta": {
"pagination": {
"offset": 1,
"limit": 1,
"total": 1
},
"omitted": [
"text"
]
},
"data": [
{
"id": "text",
"audit": {
"created": "[Circular Reference]",
"updated": "[Circular Reference]"
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"label": "text",
"description": "text",
"displayOrder": 1,
"default": true,
"parameterCount": 1,
"product": {
"id": "text",
"audit": "[Circular Reference]",
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"shortDescription": "text",
"longDescription": "text",
"externalIds": {
"operations": "text",
"defaultErpItem": "text"
},
"website": "text",
"status": "text",
"vendor": "[Circular Reference]",
"settings": {
"productOrdering": true,
"productRequests": {
"enabled": true,
"name": "text",
"label": "text"
},
"itemSelection": true,
"orderQueueChanges": true,
"preValidation": {
"purchaseOrderDraft": true,
"purchaseOrderQuerying": true,
"changeOrderDraft": true,
"configurationOrderDraft": true,
"terminationOrder": true
},
"splitBilling": {
"enabled": true,
"type": "text"
},
"sendCostToErp": true,
"subscriptionCessation": {
"enabled": true,
"mode": "Termination"
}
},
"statistics": {
"itemCount": 1,
"ordersPlacedCount": 1,
"agreementCount": 1,
"subscriptionCount": 1
}
}
}
]
}